org.apache.hc.client5.http.io

## Interface HttpClientConnectionOperator

All Known Implementing Classes:
  DefaultHttpClientConnectionOperator

    @Internal
    public interface HttpClientConnectionOperator

Connection operator that performs connection connect and upgrade operations. Usually, components participating in these operations are registry of `ConnectionSocketFactory`, `SchemePortResolver` and `DnsResolver`. In general, HTTP client user should not provide implementations of this interface, as HttpClient will use the default one that covers most of the cases needed for majority of users.

Since:
  4.4

### Method Summary

Methods
`void` `connect(ManagedHttpClientConnection conn, org.apache.hc.core5.http.HttpHost host, InetSocketAddress localAddress, org.apache.hc.core5.util.TimeValue connectTimeout, org.apache.hc.core5.http.config.SocketConfig socketConfig, org.apache.hc.core5.http.protocol.HttpContext context)`
`void` `upgrade(ManagedHttpClientConnection conn, org.apache.hc.core5.http.HttpHost host, org.apache.hc.core5.http.protocol.HttpContext context)`

### Method Detail

#### connect

    void connect(ManagedHttpClientConnection conn,
               org.apache.hc.core5.http.HttpHost host,
               InetSocketAddress localAddress,
               org.apache.hc.core5.util.TimeValue connectTimeout,
               org.apache.hc.core5.http.config.SocketConfig socketConfig,
               org.apache.hc.core5.http.protocol.HttpContext context)
                 throws IOException

Throws:
  `IOException`

#### upgrade

    void upgrade(ManagedHttpClientConnection conn,
               org.apache.hc.core5.http.HttpHost host,
               org.apache.hc.core5.http.protocol.HttpContext context)
                 throws IOException

Throws:
  `IOException`